packages:
  all:
    compiler:
    - gcc@9.3.0
    providers:
      mpi:
      - openmpi
    target:
    - skylake_avx512
  autoconf:
    variants: patches=35c449281546376449766f92d49fc121ca50e330e60fefcfc9be2af3253082c2,7793209b33013dc0f81208718c68440c5aae80e7a1c4b8d336e382525af791a7,a49dd5bac3b62daa0ff688ab4d508d71dbd2f4f8d7e2a02321926346161bf3ee
    version:
    - 2.69
  autoconf-archive:
    version:
    - 2019.01.06
  automake:
    version:
    - 1.16.3
  berkeley-db:
    variants: +cxx ~docs +stl patches=b231fcc4d5cff05e5c3a4814f6a5af0e9a966428dc2176540d2c05aff41de522
    version:
    - 18.1.40
  bison:
    version:
    - 3.8.2
  boost:
    variants: +atomic +chrono ~clanglibcpp ~container ~context ~coroutine +date_time ~debug +exception ~fiber +filesystem +graph ~icu +iostreams +locale +log +math ~mpi +multithreaded +numpy ~pic +program_options +python +random +regex +serialization +shared +signals ~singlethreaded +system ~taggedlayout +test +thread +timer ~versionedlayout +wave cxxstd=98 patches=93f4aad8f88d1437e50d95a2d066390ef3753b99ef5de24f7a46bc083bd6df06,b8569d7d4c3ef0501a39857126a2b0a88519bf256c29f3252a6958916ce82255 visibility=hidden
    version:
    - 1.77.0
  bzip2:
    variants: ~debug ~pic +shared
    version:
    - 1.0.8
  cmake:
    variants: ~doc +ncurses +openssl +ownlibs ~qt build_type=Release
    version:
    - 3.21.1
  cryptsetup:
    version:
    - 2.3.5
  curl:
    variants: ~gssapi ~ldap ~libidn2 ~librtmp ~libssh ~libssh2 ~nghttp2 tls=openssl
    version:
    - 7.79.0
  diffutils:
    version:
    - 3.8
  expat:
    version:
    - 2.4.1
  fftw:
    variants: ~mpi +openmp ~pfft_patches precision=double,float
    version:
    - 3.3.9
  findutils:
    version:
    - 4.8.0
  flex:
    variants: +lex ~nls
    version:
    - 2.6.3
  gawk:
    version:
    - 5.1.0
  gcc:
    variants: ~binutils +bootstrap ~graphite ~nvptx ~piclibs ~strip languages=c,c++,fortran patches=b48e48736062e64a6da7cbe7e21a6c1c89422d1f49ef547c73b479a3f3f4935f
    version:
    - 9.3.0
  gdbm:
    version:
    - 1.19
  gdrcopy:
    version:
    - 2.2
  gettext:
    variants: +bzip2 +curses +git ~libunistring +libxml2 +tar +xz
    version:
    - 0.21
  git:
    version:
    - 2.31.1
  git-lfs:
    version:
    - 2.11.0
  gmp:
    version:
    - 6.2.1
  go:
    version:
    - 1.17.2
  go-bootstrap:
    version:
    - 1.4-bootstrap-20171003
  hdf5:
    variants: ~cxx ~fortran ~hl ~ipo ~java +mpi +shared ~szip ~threadsafe +tools api=default build_type=RelWithDebInfo
    version:
    - 1.10.7
  hwloc:
    variants: ~cairo ~cuda ~gl ~libudev +libxml2 ~netloc ~nvml ~opencl +pci ~rocm +shared
    version:
    - 2.6.0
  intel-oneapi-mpi:
    variants: ~ilp64
    version:
    - 2021.4.0
  intel-oneapi-compilers:
    version:
    - 2021.4.0
  intel-oneapi-mkl:
    variants: ~ilp64
    version:
    - 2021.3.0
  intel-oneapi-tbb:
    version:
    - 2021.4.0
  intel-mpi-benchmarks:
    variants: benchmark=all patches=ba3f2e36b501b0f7b3a7e278e3efaa7b3a95f95d85c428b057836b89f353558e,c88fdc4a4c8acb175997547082ccc96de0be73ee07752587c08f599e5c70b41d
    version:
    - 2019.6
  ior:
    variants: +hdf5 ~ncmpi
    version:
    - 3.3.0
  json-c:
    variants: ~ipo build_type=RelWithDebInfo
    version:
    - 0.15
  libaio:
    version:
    - 0.3.110
  libbsd:
    version:
    - 0.11.3
  libedit:
    version:
    - 3.1-20210216
  libevent:
    variants: +openssl
    version:
    - 2.1.12
  libffi:
    variants: patches=26f26c6f29a7ce9bf370ad3ab2610f99365b4bdd7b82e7c31df41a3370d685c0
    version:
    - 3.3
  libgpg-error:
    version:
    - 1.42
  libiconv:
    variants: libs=shared,static
    version:
    - 1.16
  libidn2:
    version:
    - 2.3.0
  libmd:
    version:
    - 1.0.3
  libnl:
    version:
    - 3.3.0
  libpciaccess:
    version:
    - 0.16
  libseccomp:
    variants: +python
    version:
    - 2.3.3
  libsigsegv:
    version:
    - 2.13
  libtool:
    version:
    - 2.4.6
  libunistring:
    version:
    - 0.9.10
  libxml2:
    variants: ~python
    version:
    - 2.9.12
  lvm2:
    variants: +pkgconfig
    version:
    - 2.03.05
  mdtest:
    version:
    - 1.9.3
  m4:
    variants: +sigsegv patches=9dc5fbd0d5cb1037ab1e6d0ecc74a30df218d0a94bdd5a02759a97f62daca573,bfdffa7c2eb01021d5849b36972c069693654ad826c1a20b53534009a4ec7a89
    version:
    - 1.4.19
  ncurses:
    variants: ~symlinks +termlib abi=none
    version:
    - 6.2
  numactl:
    variants: patches=4e1d78cbbb85de625bad28705e748856033eaafab92a66dffd383a3d7e00cc94,62fc8a8bf7665a60e8f4c93ebbd535647cebf74198f7afafec4c085a8825c006,ff37630df599cfabf0740518b91ec8daaf18e8f288b19adaae5364dc1f6b2296
    version:
    - 2.0.14
  openmpi:
    variants: ~atomics ~cuda ~cxx ~cxx_exceptions +gpfs ~internal-hwloc ~java ~legacylaunchers ~lustre ~memchecker ~pmi ~pmix +singularity ~sqlite3 +static +thread_multiple +vt +wrapper-rpath fabrics=psm2 schedulers=none
    version:
    - 4.1.1
  openssh:
    version:
    - 8.7p1
  openssl:
    variants: ~docs certs=system
    version:
    - 1.1.1l
  osu-micro-benchmarks:
    variants: ~cuda
    version:
    - 5.7.1
  patchelf:
    version:
    - 0.13
  pcre2:
    variants: ~jit +multibyte
    version:
    - 10.36
  perl:
    variants: +cpanm +shared +threads
    version:
    - 5.34.0
  pkgconf:
    version:
    - 1.8.0
  popt:
    version:
    - 1.16
  py-cython:
    version:
    - 0.29.24
  py-docutils:
    version:
    - 0.18
  py-setuptools:
    version:
    - 58.2.0
  python:
    variants: +bz2 +ctypes +dbm ~debug +libxml2 +lzma ~nis ~optimizations +pic +pyexpat +pythoncmd +readline +shared +sqlite3 +ssl ~tix ~tkinter ~ucs4 +uuid +zlib patches=0d98e93189bc278fbc37a50ed7f183bd8aaf249a8e1670a465f0db6bb4f8cf87,4c2457325f2b608b1b6a2c63087df8c26e07db3e3d493caf36a56f0ecf6fb768,f2fd060afc4b4618fe8104c4c5d771f36dc55b1db5a4623785a4ea707ec72fb4
    version:
    - 3.8.12
  rdma-core:
    variants: ~ipo build_type=RelWithDebInfo
    version:
    - 34.0
  readline:
    version:
    - 8.1
  shadow:
    version:
    - 4.8.1
  singularity:
    variants: +network +suid
    version:
    - 3.8.3
  sqlite:
    variants: +column_metadata +fts ~functions ~rtree
    version:
    - 3.36.0
  squashfs:
    variants: +gzip ~lz4 ~lzo ~xz ~zstd default_compression=gzip
    version:
    - 4.4
  tar:
    version:
    - 1.34
  texinfo:
    variants: patches=12f6edb0c6b270b8c8dba2ce17998c580db01182d871ee32b7b6e4129bd1d23a,1732115f651cff98989cb0215d8f64da5e0f7911ebf0c13b064920f088f2ffe1
    version:
    - 6.5
  ucx:
    variants: ~assertions ~cm +cma ~cuda +dc ~debug ~dm ~gdrcopy +ib-hw-tm ~java ~knem ~logging +mlx5-dv +optimizations ~parameter_checking +pic +rc ~rocm +thread_multiple +ud ~xpmem
    version:
    - 1.10.1
  util-linux:
    variants: ~bash
    version:
    - 2.37.2
  util-linux-uuid:
    version:
    - 2.36.2
  util-macros:
    version:
    - 1.19.3
  xz:
    variants: ~pic libs=shared,static
    version:
    - 5.2.5
  zlib:
    variants: +optimize +pic +shared
    version:
    - 1.2.11
